AnalysisRequestHandlerBase.TokenTrackingAttributeImpl (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.AnalysisRequestHandlerBase.TokenTrackingAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler
Class AnalysisRequestHandlerBase.TokenTrackingAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.solr.handler.AnalysisRequestHandlerBase.TokenTrackingAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, AnalysisRequestHandlerBase.TokenTrackingAttribute

Enclosing class:
  AnalysisRequestHandlerBase

    public static final class AnalysisRequestHandlerBase.TokenTrackingAttributeImpl

extends AttributeImpl
implements AnalysisRequestHandlerBase.TokenTrackingAttribute

Implementation of `AnalysisRequestHandlerBase.TokenTrackingAttribute`.

See Also:
  Serialized Form
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.
  This class is only public for usage by the `AttributeSource` API.

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`AnalysisRequestHandlerBase.TokenTrackingAttributeImpl()`

Method Summary
`void` | `clear()`
`void` | `copyTo(AttributeImpl target)`
`void` | `freezeStage()`
`int[]` | `getPositions()`
`void` | `reflectWith(AttributeReflector reflector)`
`void` | `reset(int[] basePositions, int position)`
`void` | `setActPosition(int pos)`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalysisRequestHandlerBase.TokenTrackingAttributeImpl

    public AnalysisRequestHandlerBase.TokenTrackingAttributeImpl()

Method Detail

### freezeStage

    public void freezeStage()

  Specified by:
    `freezeStage` in interface `AnalysisRequestHandlerBase.TokenTrackingAttribute`

### setActPosition

    public void setActPosition(int pos)

  Specified by:
    `setActPosition` in interface `AnalysisRequestHandlerBase.TokenTrackingAttribute`

### getPositions

    public int[] getPositions()

  Specified by:
    `getPositions` in interface `AnalysisRequestHandlerBase.TokenTrackingAttribute`

### reset

    public void reset(int[] basePositions,
                      int position)

  Specified by:
    `reset` in interface `AnalysisRequestHandlerBase.TokenTrackingAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `AttributeImpl`

### reflectWith

    public void reflectWith(AttributeReflector reflector)

  Overrides:
    `reflectWith` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Specified by:
    `copyTo` in class `AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD